package cn.iocoder.yudao.module.shop.service;

import cn.iocoder.yudao.module.shop.entity.PartnerDetail;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2023-08-13
 */
public interface IPartnerDetailService
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public PartnerDetail selectPartnerDetailById(Long id);

    public PartnerDetail selectPartnerDetailByUserId(Long id,String type);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param partnerDetail 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public IPage<PartnerDetail> selectPartnerDetailList(Page<PartnerDetail> page, PartnerDetail partnerDetail);

    /**
     * 新增【请填写功能名称】
     *
     * @param partnerDetail 【请填写功能名称】
     * @return 结果
     */
    public int insertPartnerDetail(PartnerDetail partnerDetail);

    /**
     * 修改【请填写功能名称】
     *
     * @param partnerDetail 【请填写功能名称】
     * @return 结果
     */
    public int updatePartnerDetail(PartnerDetail partnerDetail);
    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deletePartnerDetailByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deletePartnerDetailById(Long id);

    public int examine(PartnerDetail partnerDetail) throws Exception;
}
